Bug 464871 - RPM-GPG-KEY-fedora-test-ia64 missing, so jigdo-lite fails download
RPM-GPG-KEY-fedora-test-ia64 missing, so jigdo-lite fails download
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jigdo (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Burrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 18:28 EDT by John Reiser
Modified: 2013-01-09 23:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:27:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2008-09-30 18:28:27 EDT
Description of problem: Using jigdo-lite to download the x86_64 DVD for Fedora 10 beta fails because RPM-GPG-KEY-fedora-test-ia64 cannot be found.


Version-Release number of selected component (if applicable):
Fedora 10 beta

How reproducible: always


Steps to Reproduce:
1.jigdo-lite Download/Fedora-10-Beta-x86_64-DVD.jigdo
2.
3.
  
Actual results:
 http://download.fedoraproject.org/pub/fedora/linux/releases/test/10-Beta/Fedora/x86_64/os/RPM-GPG-KEY-fedora-test-ia64
Resolving download.fedoraproject.org... 66.35.62.162, 209.132.176.122
Connecting to download.fedoraproject.org|66.35.62.162|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-09-30 15:12:22 ERROR 404: Not Found.

1 files not found in previous pass, trying
alternative download locations:
   [snip attempt at all mirrors]
-----------------------------------------------------------------
Aaargh - 1 files could not be downloaded. This should not
happen! Depending on the problem, it may help to retry downloading
the missing files.

However, if all the files downloaded without errors and you
still get this message, it means that the files changed on the
server, so the image cannot be generated.

Press Return to retry downloading the missing files.
Press Ctrl-C to abort. (If you re-run jigdo-lite later, it will
resume from here, the downloaded data is not lost if you press
Ctrl-C now.)
: 


Expected results: Successful download+compose via jigdo


Additional info:
Comment 1 Jesse Keating 2008-09-30 18:44:49 EDT
You're simply being redirected to a mirror that isn't up to date.  This is a problem with jigdo that it won't retry enough times to get the file.
Comment 2 John Reiser 2008-10-01 00:58:52 EDT
Re-running the jigdo-lite still cannot find RPM-GPG-KEY-fedora-test-ia64, and close examination of the error messages shows that the file is missing from the master mirror directory http://download.fedoraproject.org/pub/fedora/linux/releases/test/10-Beta/Fedora/i386/os/.  I found the file on a "slave" mirror, downloaded it manually, and completed the DVD via jigdo-lite.
Comment 3 Jesse Keating 2008-10-01 12:28:10 EDT
download.fedoraproject.org is a front end to mirrormanager, so it's directing you to a mirror from the list each time you visit it.  It's likely that you keep getting a mirror that is not up to date as of yet.
Comment 4 John Reiser 2008-10-01 13:45:15 EDT
*Which* mirror is not up to date?  The identity of the mirror ought to be in the error message, but all I see is "Not found", with no actual URL except the download.fedoraproject.org.  Also, it was 12 hours after the release announcement.  If the mirrors do not sync in 12 hours then something is wrong, either with the master bits themselves (some pointer listed a file that was not actually in the collection), or with the release process (the bits did not get transfered reliably in the first place, or there was no check-and-fix-if-necessary after the process supposedly completed.)
Comment 5 Jesse Keating 2008-10-01 14:13:00 EDT
jigdo not telling you is a jigdo problem, what's why this bug is now filed against jigdo.

As for the release process, some mirrors are just slower than others.  The data set for the release was not small, 10s of gigs in size.  The nature of having an open mirror system means that some mirrors are going to be less up to date than others, we just don't have a way of forcing every mirror to be perfectly in sync all the time.

I think it's fair that we need mirrormanager to be better about delivering actually up to date mirrors to us during release time, although we're still going to run into cases where the mirror is overloaded and will refuse your connection.  This jigdo itself needs to handle better, hence this bug being filed against jigdo.

Since I'm not a developer or maintainer of jigdo, I'm stepping away from this bug.  I didn't even want to offer jigdo, I'm doing it at the request of others.
Comment 6 Bug Zapper 2008-11-25 22:18:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-18 03:27:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:27:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.